# Configuration de l'adresse, titre (onglet) et des chemins vers les contenus
baseurl = "https://hugo.gregandev.fr"
contentdir    = "content"
layoutdir     = "layouts"
publishdir    = "public"
title = "GreganDev"
canonifyurls = true

# Configuration du language et thème
DefaultContentLanguage = "fr"
theme = "beautifulhugo"
#theme = "Lanyon"
metaDataFormat = "yaml"
pygmentsUseClasses = true
pygmentCodeFences = true
#disqusShortname = "XXX"
#googleAnalytics = "XXX"


# ACCUEIL
[Params]
  subtitle = "Portfolio made in HUGO !"
  logo = "img/logo2.png"
  favicon = "img/favicon.ico"
  dateFormat = "January 2, 2006"
  commit = false
  rss = false
  comments = true
#  gcse = "012345678901234567890:abcdefghijk" # Get your code from google.com/cse. Make sure to go to "Look and Feel" and change Layout to "Full Width" and Theme to "Classic"

#[[Params.bigimg]]
#  src = "img/triangle.jpg"
#  desc = "Triangle"
#[[Params.bigimg]]
#  src = "img/sphere.jpg"
#  desc = "Sphere"
#[[Params.bigimg]]
#  src = "img/hexagon.jpg"
#  desc = "Hexagon"


# ICONES RESEAUX SOCIAUX
[Author]
  name = "Greg Lebreton"
  email = "greg.lebreton@hotmail.com"
  gitlab = "GregLebreton"
  github = "GregLebreton"
  twitter = "Gregan"
  reddit = "username"
  linkedin = "<greg<lebreton"
  stackoverflow = "users/XXXXXXX/username"
  instagram = "username"
  youtube = "user/username" # or channel/channelname
  spotify = "username"
  itchio = "username"
  #keybase = "username"
  #xing = "username"
  #bandcamp = "username"
  #snapchat = "username"
  #soundcloud = "username"
  #facebook = "username"
  #googleplus = "+username" # or xxxxxxxxxxxxxxxxxxxxx


##### MENU #####


[[menu.main]]   
    name = "Post"
    url = "post/"
    weight = 1

# About
[[menu.main]]
    name = "A propos"
    url = "page/about"
    weight = 2

# Tags
[[menu.main]]
    name = "Tags"
    url = "tags"
    weight = 3

# sous menu PROJETS
[[menu.main]]
    parent = "Projets"
    name = "Projet 1"
    url = "projets/projet1"
    weight = 4

[[menu.main]]
    parent = "Projets"
    name = "Projet 2"
    url = "projets/projet2"
   
[[menu.main]]
    parent = "Projets"
    name = "Projet 3"
    url = "projets/projet3"


